Bug 1045770 - [PATCH] debuginfo-install
Summary: [PATCH] debuginfo-install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1045677 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 21:27 UTC by Cristian Ciupitu
Modified: 2014-03-20 03:06 UTC (History)
6 users (show)

Fixed In Version: dnf-plugins-core-0.0.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-07 06:35:49 UTC


Attachments (Terms of Use)
[PATCH] Add debuginfo-install plugin. (RhBug:1045770) (5.02 KB, patch)
2014-02-15 09:21 UTC, Igor Gnatenko
no flags Details | Diff
[PATCH v2] Add debuginfo-install plugin. (RhBug:1045770) (5.05 KB, patch)
2014-02-15 22:49 UTC, Igor Gnatenko
no flags Details | Diff

Description Cristian Ciupitu 2013-12-21 21:27:12 UTC
Description of problem:
yum-utils come with the debuginfo-install program. dnf should offer an equivalent program.

Version-Release number of selected component (if applicable):
dnf-0.4.9-1.fc20.noarch

Additional info:
 - http://dnf.baseurl.org/2013/12/19/dnf-and-fedora-20/#comment-43
 - http://dnf.baseurl.org/2013/12/19/dnf-and-fedora-20/#comment-47

Comment 1 Ales Kozumplik 2014-01-02 06:58:35 UTC
Hi Cristian, thanks for the report, we'll track this.

Comment 2 Ales Kozumplik 2014-01-02 07:33:47 UTC
*** Bug 1045677 has been marked as a duplicate of this bug. ***

Comment 3 Igor Gnatenko 2014-02-15 09:21:43 UTC
Created attachment 863562 [details]
[PATCH] Add debuginfo-install plugin. (RhBug:1045770)

Implemented, but still have some issues.

$ sudo dnf debuginfo-install evolution
Package evolution-debuginfo-3.11.5-2.fc21.x86_64 is already installed, skipping.
Resolving dependencies
--> Starting dependency resolution
--> Finished dependency resolution
Error: package webkitgtk3-debuginfo.x86_64 = 2.3.5-3.fc21 does not exist. package evolution-data-server-debuginfo.x86_64 = 3.11.5-3.fc21 does not exist

I will debug this and fix or you can help me

Comment 4 Igor Gnatenko 2014-02-15 09:53:57 UTC
I have installed "evolution-data-server-3.11.5-2.fc21.x86_64"

it found it from self.base.sack.query().installed().filter(name=pkg)
after this it formatting it:

di = "{0}-debuginfo-{1}:{2}-{3}.{4}".format(po.name, po.epoch, po.version, po.release, po.arch)

then trying to install:

try:
    self.base.install(di) <--- There no except
except dnf.exceptions.MarkingError:
    di = "{0}-debuginfo.{1}".format(po.name, po.arch)
    try:
        self.base.install(di)
    except dnf.exceptions.MarkingError:
        pass


[brain@X1Carbon dnf-plugins-core]$ sudo dnf debuginfo-install evolution
Package evolution-debuginfo-3.11.5-2.fc21.x86_64 is already installed, skipping.
Resolving dependencies
--> Starting dependency resolution
--> Finished dependency resolution
Error: package webkitgtk3-debuginfo.x86_64 = 2.3.5-3.fc21 does not exist. package evolution-data-server-debuginfo.x86_64 = 3.11.5-3.fc21 does not exist

[brain@X1Carbon dnf-plugins-core]$ sudo dnf --enablerepo=rawhide-debuginfo install evolution-data-server-debuginfo-3.11.5-2.fc21.x86_64
Package evolution-data-server-debuginfo-3.11.5-2.fc21.x86_64 is already installed, skipping.
Resolving dependencies
--> Starting dependency resolution
--> Finished dependency resolution
Dependencies resolved.
Nothing to do.

[brain@X1Carbon dnf-plugins-core]$ sudo dnf --enablerepo=rawhide-debuginfo install evolution-data-server-debuginfo-3.11.5-3.fc21.x86_64
Resolving dependencies
--> Starting dependency resolution
--> Finished dependency resolution
Error: package evolution-data-server-debuginfo.x86_64 = 3.11.5-3.fc21 does not exist


Ales, can you help me ?

Comment 5 Parag Nemade 2014-02-15 15:38:54 UTC
your plugin looks worked fine for me for this command on f20
$ sudo dnf debuginfo-install iok
<snip>
Transaction Summary
====================================================================
Install  49 Packages
Upgrade   7 Packages

Total download size: 67 M
<snip>

This transaction completed successfully.

I don't have currently any rawhide test machine to test your plugin.

Comment 6 Igor Gnatenko 2014-02-15 15:40:51 UTC
(In reply to Parag from comment #5)
> your plugin looks worked fine for me for this command on f20
> $ sudo dnf debuginfo-install iok
> <snip>
> Transaction Summary
> ====================================================================
> Install  49 Packages
> Upgrade   7 Packages
> 
> Total download size: 67 M
> <snip>
> 
> This transaction completed successfully.
> 
> I don't have currently any rawhide test machine to test your plugin.
Install iok-debuginfo and try to dnf debuginfo-install iok.

It should fails.

Comment 7 Igor Gnatenko 2014-02-15 22:49:17 UTC
I've debugged problems and just fixed it. Will send new patch in 1 min.

Comment 8 Igor Gnatenko 2014-02-15 22:49:46 UTC
Created attachment 863627 [details]
[PATCH v2] Add debuginfo-install plugin. (RhBug:1045770)

Comment 9 Fedora Update System 2014-02-25 15:47:49 UTC
dnf-plugins-core-0.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.0.4-1.fc20

Comment 10 Fedora Update System 2014-02-26 08:54:43 UTC
dnf-plugins-core-0.0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.0.5-1.fc20

Comment 11 Parag Nemade 2014-02-26 08:56:44 UTC
As said before https://bugzilla.redhat.com/show_bug.cgi?id=905697#c8 , the new update again missed this plugin to be packaged.

See http://koji.fedoraproject.org/koji/rpminfo?rpmID=4840470

Comment 12 Fedora Update System 2014-02-26 09:54:09 UTC
dnf-plugins-core-0.0.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.0.5-2.fc20

Comment 13 Fedora Update System 2014-02-26 14:07:18 UTC
Package dnf-plugins-core-0.0.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.0.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3147/dnf-plugins-core-0.0.4-1.fc20
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-03-07 06:35:49 UTC
dnf-plugins-core-0.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-03-17 12:46:52 UTC
dnf-plugins-core-0.0.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.0.6-1.fc20

Comment 16 Fedora Update System 2014-03-20 03:06:06 UTC
dnf-plugins-core-0.0.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.